WAITPID(1)

NAZWA
waitpid - narzędzie oczekujące na zadane procesy

SKŁADNIA

waitpid [-v] [--timeout|-t seconds] PID[:inode]...

OPIS

waitpid jest prostym narzędziem do oczekiwania na dowolne, niepotomne procesy.

Wychodzi po tym, jak wszystkie procesy, których identyfikatory procesów przekazano mu jako argumenty, zakończą się.

Optionally, a process can be addressed with the format PID:inode. The inode identifies the unique process’s file descriptor. To retrieve a process’s inode number you can use the getino(1) utility.

OPCJE

-v, --verbose
    Więcej szczegółów.

-t, --timeout sekundy
    Maksymalny czas oczekiwania.

-e, --exited
    Nie traktuje jako błędu PID-ów już zakończonych procesów.

-c, --count liczba
    Liczba wyjść procesu, na które się oczekuje.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

waitpid ma następujące wartości statusu zakończenia:

0
    sukces

1
    nieokreślony błąd

2
    system nie zapewnia wymaganej infrastruktury

3
    czas oczekiwania minął

AUTORZY

ZOBACZ TAKŻE

waitpid(2) wait(1P) getino(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie waitpid jest częścią pakietu util-linux, który można pobrać ze strony